%define name 	murrine-configurator
%define version 1.4
%define release 1

Summary:	Configuration manager for Murrine theme engine
Name:    	%{name}
Version: 	%{version}
Release: 	%mkrel %{release}
Source0: 	%{name}-%{version}.tar.bz2
Patch0:         murrine-configurator-1.4-config.glade.patch
Patch1:         murrine-configurator-1.4-desktop.patch
License: 	GPL
Group:   	Graphical desktop/Other
Url:     	http://murrine.netsons.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: 	murrine 
Requires:       python

%description
Configuration manager for Murrine theme engine.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
mkdir -p $RPM_BUILD_ROOT/usr/share/nmc
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
install -m0644 src/murrine-configurator.png $RPM_BUILD_ROOT/usr/share/pixmaps
install -m0644 src/murrine-configurator.desktop $RPM_BUILD_ROOT/usr/share/applications
install -m0644 src/*.py $RPM_BUILD_ROOT/usr/share/nmc
install -m0644 src/*.pyc $RPM_BUILD_ROOT/usr/share/nmc
install -m0644 src/*.glade $RPM_BUILD_ROOT/usr/share/nmc

%post
/sbin/ldconfig || :
%update_desktop_database

%postun
/sbin/ldconfig || :
%clean_desktop_database

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README COPYING 
%_datadir/nmc
%_datadir/applications/murrine-configurator.desktop
%_datadir/pixmaps/murrine-configurator.png


%changelog
* Sat Apr 11 2009 slick50 <lxgator@gmail.com> 1.4-1pclos2007
- 1.4
- added patch0, 1 
- fixed translation in glade file
- fixed desktop file

 * Sat Aug 11 2007 Gettinther <gettinther@gmail.com> 0.5-1pclos_tinyme2007
- First release
